function draw()	
	UiMakeInteractive()
	
	UiPush()
		UiAlign("center middle")
		UiFont("bold.ttf", 32)

		UiTranslate(UiCenter(), 150)
		UiPush()
			UiScale(3)
			UiText("loc@UI_TEXT_SCRIPTING_SHOWCASE")
		UiPop()
		
		UiTranslate(-90, 100)
		
		UiAlign("left")
		
		if UiTextButton("loc@UI_BUTTON_LIGHT_SWITCH") then StartLevel("", "MOD/lightswitch.xml") end
		UiTranslate(0, 32)

		if UiTextButton("loc@UI_BUTTON_RADIO") then StartLevel("", "MOD/radio.xml") end
		UiTranslate(0, 32)

		if UiTextButton("loc@UI_BUTTON_ELEVATOR") then StartLevel("", "MOD/elevator.xml") end
		UiTranslate(0, 32)

		if UiTextButton("loc@UI_BUTTON_LASER") then StartLevel("", "MOD/laser.xml") end
		UiTranslate(0, 32)

		if UiTextButton("loc@UI_BUTTON_TURRET") then StartLevel("", "MOD/turret.xml") end
		UiTranslate(0, 32)

		if UiTextButton("loc@UI_BUTTON_FORCEFIELD") then StartLevel("", "MOD/forcefield.xml") end
		UiTranslate(0, 32)

		if UiTextButton("loc@UI_BUTTON_DYNAMIC_WEATHER") then StartLevel("", "MOD/weather.xml") end
		UiTranslate(0, 32)

		if UiTextButton("loc@UI_BUTTON_FLYOVER") then StartLevel("", "MOD/flyover.xml") end
		UiTranslate(0, 32)

		if UiTextButton("loc@UI_BUTTON_SAVEGAME") then StartLevel("", "MOD/savegame.xml") end
		UiTranslate(0, 32)

		if UiTextButton("loc@UI_BUTTON_PATH_FINDING") then StartLevel("", "MOD/pathfinding.xml") end
		UiTranslate(0, 32)

		if UiTextButton("loc@UI_BUTTON_CONSTRAINTS") then StartLevel("", "MOD/constraints.xml") end
		UiTranslate(0, 32)

		if UiTextButton("loc@UI_BUTTON_SPAWNING") then StartLevel("", "MOD/spawning.xml") end
		UiTranslate(0, 32)

		if UiTextButton("Shape manipulation") then StartLevel("", "MOD/shapemanipulation.xml") end
		UiTranslate(0, 32)
	UiPop()
end
